<div ng-if="themes!='' && tchange" class="col-md-12 text-right mb20"><button ng-click="createContent();" type="button" class="btn btn-theme" data-toggle="modal" data-target=".{{selectedPage.csScreenName | lowercase}}-modal-add"><i class="fa fa-plus"></i>Add {{selectedPage.csScreenName | lowercase}}</button> </div>
<div ng-if="themes!='' && copy" class="col-md-10 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
<div ng-if="themes!='' && copy" class="col-md-2 text-right mb20"><button ng-click="uncopyContent();" type="button" class="btn btn-theme"><i class="fa fa-undo"></i>Uncopy All</button> </div>
{{ctContent.length}}
<div class="row" ng-if="ctContent.length>0">
	<div class="col-md-12">
		<div tasty-table bind-resource="resource" watch-resource="collection" class="table-responsive" style="height:500px; margin-top:0; overflow-y:scroll; overflow-x:hidden;">
			<table class="table  table-primary table-striped table-hover table-bordered" id="table1">
				<thead>
					<tr>
						<th>#</th>
						<th>{{selectedPage.csScreenName}}</th>
						<th>Edit</th>
						<th>Delete</th>
						<th>Copy</th>
					</tr>
				</thead>
				<tbody>
					<tr class="odd gradeX" ng-repeat="row in rows">
						<td>{{((pagination.page-1)*10)+($index+1)}}</td>
						<td>{{row.name}}</td>
						<td><i data-toggle="modal" data-target=".{{selectedPage.csScreenName | lowercase}}-modal-edit" ng-click="editContent(ctContent.indexOf(row))" class="fa fa-edit pointer"></i></td>
						<td><i ng-click="deleteContent(ctContent.indexOf(row))" class="fa fa-trash-o pointer"></i>
							<td><span ng-if="!row.copy" ng-click="copyContent(ctContent.indexOf(row))" class="fa fa-copy pointer"></span>
								<span class="fa fa-copy" style="color:blue" ng-if="row.copy"></span>
							</td>
						</tr>
						
					</tbody>
				</table>
				<div tasty-pagination bind-items-per-page="itemsPerPage" bind-list-items-per-page="listItemsPerPage"></div>
			</div><!-- table-responsive -->
			
		</div>
	</div>
	
	
	<div class="modal fade {{selectedPage.csScreenName | lowercase}}-modal-add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-form-add" name="ourServicesFormAdd" novalidate>
					<span style="visibility:hidden;">{{addFormValid = ourServicesFormAdd.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						<div class="row">
							<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 mb10">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1" style="border:1px solid #E5E5E5; height:280px;">
									<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
										<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span class="fileupload-new btn btn-theme form-control">Select file</span>
													<span class="fileupload-exists btn btn-theme form-control">Change</span>
													<input ngf-select="uploadImage(picFile,'services',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" required type="file" style="transform:none; width:100%;" />
													
												</span>
											</div>
										</div>
									</div>
									
									<img src="{{createCmsObj.serviceimg}}" height="240" width="100%" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4" style="padding-left:20px;">
								<div class="form-group">
									<input type="email" name="add-email" id="add-email" class="form-control col-lg-6" required placeholder="Email" ng-model="createCmsObj.email" />
								</div>
								<br />
								<div class="form-group">
									<input type="text" name="add-phone" id="add-phone"  class="form-control col-lg-6" required placeholder="Phone" ng-model="createCmsObj.phone" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-left:20px;">
								<div class="form-group">
									<input type="text" name="add-name" id="add-name" class="form-control col-lg-6" placeholder="Name" required ng-model="createCmsObj.name" style="width:50%;" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-left:20px;">
								<div class="form-group">
									<div text-angular ng-model="createCmsObj.desc" data-ng-required="true"></div>
								</div>
							</div>
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('add',addFormValid);" type="button" class="btn btn-success">Add {{selectedPage.csScreenName | lowercase}}</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	
	<div class="modal fade ourservices-modal-edit" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-form-update" name="ourServicesFormEdit" novalidate>
					<span>{{editFormValid = ourServicesFormEdit.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						<div class="row">
							<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 mb10">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1" style="border:1px solid #E5E5E5; height:280px;">
									<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
										<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span class="fileupload-new btn btn-theme form-control">Select file</span>
													<span class="fileupload-exists btn btn-theme">Change</span>
													<input ngf-select="uploadImage(picFile,'services',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" type="file" style="transform:none; width:100%;" />
													
												</span>
											</div>
										</div>
									</div>
									
									<img src="{{editCmsObj.serviceimg}}" height="240" width="100%" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-4 col-md-4 col-lg-4" style="padding-left:20px;">
								<div class="form-group">
									<input type="email" name="update-email" id="update-email" required class="form-control col-lg-6" placeholder="Email" ng-model="editCmsObj.email" />
								</div>
								<br />
								<div class="form-group">
									<input type="tel" name="update-phone" id="update-phone" required class="form-control col-lg-6" placeholder="Phone" ng-model="editCmsObj.phone" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-left:20px;">
								<div class="form-group">
									<input type="text" name="update-name" id="update-name" required class="form-control col-lg-6" placeholder="Name" ng-model="editCmsObj.name" style="width:50%;" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-left:20px;">
								<div class="form-group">
									<div text-angular ng-model="editCmsObj.desc" data-ng-required="true"></div>
								</div>
							</div>
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('update',editFormValid);" type="button" class="btn btn-success">Update {{selectedPage.csScreenName | lowercase}}</button>
					</div>
				</form>
			</div>
		</div>
	</div>
